$(function () {
    //锚链接
    var $navBar = $('#nav_bar')
    var navBarItemTarget = []
    $navBar.find('a[href*=#]').each(function(idx, item) {
        navBarItemTarget.push({
            navItem: $(item),
            target: $('[name=' + item.hash.slice(1) + ']')
        })
    })
    var $window = $(window)
    $navBar.on('click', 'a[href*=#]', function() {
        if (location.pathname.replace(/^\//, '') === this.pathname.replace(/^\//, '') && location.hostname === this.hostname) {
            var $target = $(this.hash)
            $target = $target.length && $target || $('[name=' + this.hash.slice(1) + ']')
            if ($target.length) {
                var targetOffset = $target.offset().top - 51
                $('html,body').animate({
                    scrollTop: targetOffset
                }, 500)
                return false
            }
        }
    })
    $window.on('scroll', function() {
        var scrollTop = $window.scrollTop()
        if (scrollTop > 420) {
            $navBar.addClass('fixed')
        } else {
            $navBar.removeClass('fixed')
        }
        var flag = true
        var targetIdx = 0
        $.each(navBarItemTarget, function(idx, item) {
            if (scrollTop < item.target.offset().top - 51) {
                targetIdx = idx
                flag = false
                return false
            }
        })
        if (flag) {
            targetIdx = navBarItemTarget.length
        }
        targetIdx -= 1
        if (targetIdx < 0) targetIdx = 0
        navBarItemTarget[targetIdx].navItem.addClass('active').siblings('.active').removeClass('active')
    })
})